import request from '@/utils/request'

// 查询巡检车打卡列表
export function listInspect(query) {
  return request({
    url: '/car/inspect/list',
    method: 'get',
    params: query
  })
}

// 查询巡检车打卡详细
export function getInspect(id) {
  return request({
    url: '/car/inspect/' + id,
    method: 'get'
  })
}

// 新增巡检车打卡
export function addInspect(data) {
  return request({
    url: '/car/inspect',
    method: 'post',
    data: data
  })
}

// 修改巡检车打卡
export function updateInspect(data) {
  return request({
    url: '/car/inspect',
    method: 'put',
    data: data
  })
}

// 删除巡检车打卡
export function delInspect(id) {
  return request({
    url: '/car/inspect/' + id,
    method: 'delete'
  })
}

// 导出巡检车打卡
export function exportInspect(query) {
  return request({
    url: '/car/inspect/export',
    method: 'get',
    params: query
  })
}

//巡检点信息
export function inspectListInfo(query) {
  return request({
    url: '/car/inspect/inspectListInfo',
    method: 'get',
    params: query
  })
}
